loci.formats.in

## Class ColumbusReader.Plane

- java.lang.Object
- - loci.formats.in.ColumbusReader.Plane

- Enclosing class:
    ColumbusReader

      class ColumbusReader.Plane
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `channel`
    `ome.xml.model.primitives.Color` | `channelColor`
    `java.lang.String` | `channelName`
    `int` | `col`
    `double` | `deltaT`
    `double` | `emWavelength`
    `double` | `exWavelength`
    `int` | `field`
    `java.lang.String` | `file`
    `int` | `fileIndex`
    `double` | `positionX`
    `double` | `positionY`
    `double` | `positionZ`
    `int` | `row`
    `int` | `series`
    `double` | `sizeX`
    `double` | `sizeY`
    `int` | `timepoint`
    `int` | `z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Plane()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### file

          public java.lang.String file

    - #### fileIndex

          public int fileIndex

    - #### row

          public int row

    - #### col

          public int col

    - #### field

          public int field

    - #### timepoint

          public int timepoint

    - #### channel

          public int channel

    - #### z

          public int z

    - #### deltaT

          public double deltaT

    - #### emWavelength

          public double emWavelength

    - #### exWavelength

          public double exWavelength

    - #### channelName

          public java.lang.String channelName

    - #### channelColor

          public ome.xml.model.primitives.Color channelColor

    - #### sizeX

          public double sizeX

    - #### sizeY

          public double sizeY

    - #### positionX

          public double positionX

    - #### positionY

          public double positionY

    - #### positionZ

          public double positionZ

    - #### series

          public int series

  - ### Constructor Detail

    - #### Plane

          Plane()

Copyright © 2026 Open Microscopy Environment